# Form implementation generated from reading ui file 'src/eric7/Project/QuickFindFile.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_QuickFindFile(object):
    def setupUi(self, QuickFindFile):
        QuickFindFile.setObjectName("QuickFindFile")
        QuickFindFile.resize(599, 478)
        self.verticalLayout = QtWidgets.QVBoxLayout(QuickFindFile)
        self.verticalLayout.setObjectName("verticalLayout")
        self.textLabel1 = QtWidgets.QLabel(parent=QuickFindFile)
        self.textLabel1.setObjectName("textLabel1")
        self.verticalLayout.addWidget(self.textLabel1)
        self.fileNameEdit = QtWidgets.QLineEdit(parent=QuickFindFile)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(9)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.fileNameEdit.sizePolicy().hasHeightForWidth())
        self.fileNameEdit.setSizePolicy(sizePolicy)
        self.fileNameEdit.setObjectName("fileNameEdit")
        self.verticalLayout.addWidget(self.fileNameEdit)
        self.fileList = QtWidgets.QTreeWidget(parent=QuickFindFile)
        self.fileList.setRootIsDecorated(False)
        self.fileList.setObjectName("fileList")
        self.verticalLayout.addWidget(self.fileList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=QuickFindFile)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close|QtWidgets.QDialogButtonBox.StandardButton.Open)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(QuickFindFile)
        self.buttonBox.rejected.connect(QuickFindFile.close) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(QuickFindFile)
        QuickFindFile.setTabOrder(self.fileNameEdit, self.fileList)

    def retranslateUi(self, QuickFindFile):
        _translate = QtCore.QCoreApplication.translate
        QuickFindFile.setWindowTitle(_translate("QuickFindFile", "Search Project File"))
        self.textLabel1.setText(_translate("QuickFindFile", "Type text to match in filenames (up/down to select shown files)"))
        self.fileNameEdit.setToolTip(_translate("QuickFindFile", "Enter search strings separated by a blank"))
        self.fileList.setSortingEnabled(True)
        self.fileList.headerItem().setText(0, _translate("QuickFindFile", "Filename"))
        self.fileList.headerItem().setText(1, _translate("QuickFindFile", "Path"))
